## libkgapi 21.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "5.19.3")

set(KGAPI_LIB_VERSION ${PIM_VERSION})

project(kgapi VERSION ${KGAPI_LIB_VERSION})

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTORCC ON)

# ECM setup
set(KF5_MIN_VERSION "5.87.0")

find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(GenerateExportHeader)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)
include(ECMQtDeclareLoggingCategory)

include(ECMPoQmTools)
include(ECMSetupVersion)
include(FeatureSummary)

set(CMAKE_AUTOMOC_MACRO_NAMES "Q_OBJECT" "Q_GADGET" "Q_NAMESPACE" "Q_NAMESPACE_EXPORT")

ecm_setup_version(PROJECT
    VARIABLE_PREFIX KGAPI
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kgapi_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPimGAPIConfigVersion.cmake"
    SOVERSION 5
)

############## Find Packages ##############
set(QT_REQUIRED_VERSION "5.15.2")
find_package(Qt5 ${QT_REQUIRED_VERSION} REQUIRED COMPONENTS
    Core
    Network
    Widgets
    Xml
)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    Wallet
)

find_package(KF5CalendarCore ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5Contacts ${KF5_MIN_VERSION} CONFIG REQUIRED)

find_package(Sasl2)
set_package_properties(Sasl2 PROPERTIES TYPE REQUIRED)


add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f02)
add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055800)

option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if (USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
endif()


############## Targets ##############
add_subdirectory(src)
if (KGAPI_BUILD_EXAMPLES)
    add_subdirectory(examples)
endif()
if (BUILD_TESTING)
    add_subdirectory(autotests)
endif()

############## CMake Config Files ##############
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPimGAPI")
set(KGAPI_KF5_COMPAT FALSE)
configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KPimGAPIConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KPimGAPIConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KPimGAPIConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/KPimGAPIConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)

install(EXPORT KPimGAPITargets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE KPimGAPITargets.cmake
    NAMESPACE KPim::
)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/kgapi_version.h"
    DESTINATION "${KDE_INSTALL_INCLUDEDIR}/KPim"
    COMPONENT Devel
)


feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
ecm_install_po_files_as_qm(poqm)

=== src/blogger/CMakeLists.txt ===
add_library(KPimGAPIBlogger)
add_library(KPim::GAPIBlogger ALIAS KPimGAPIBlogger)

target_sources(KPimGAPIBlogger PRIVATE
    blog.cpp
    blogfetchjob.cpp
    blogfetchjob.h
    bloggerservice.cpp
    bloggerservice.h
    blog.h
    commentapprovejob.cpp
    commentapprovejob.h
    comment.cpp
    commentdeletecontentjob.cpp
    commentdeletecontentjob.h
    commentdeletejob.cpp
    commentdeletejob.h
    commentfetchjob.cpp
    commentfetchjob.h
    comment.h
    page.cpp
    pagecreatejob.cpp
    pagecreatejob.h
    pagedeletejob.cpp
    pagedeletejob.h
    pagefetchjob.cpp
    pagefetchjob.h
    page.h
    pagemodifyjob.cpp
    pagemodifyjob.h
    post.cpp
    postcreatejob.cpp
    postcreatejob.h
    postdeletejob.cpp
    postdeletejob.h
    postfetchjob.cpp
    postfetchjob.h
    post.h
    postmodifyjob.cpp
    postmodifyjob.h
    postpublishjob.cpp
    postpublishjob.h
    postsearchjob.cpp
    postsearchjob.h

    ../debug.cpp
)

ecm_generate_headers(kgapiblogger_CamelCase_HEADERS
    HEADER_NAMES
    Blog
    BlogFetchJob
    Comment
    CommentApproveJob
    CommentDeleteContentJob
    CommentDeleteJob
    CommentFetchJob
    Page
    PageCreateJob
    PageDeleteJob
    PageFetchJob
    PageModifyJob
    Post
    PostCreateJob
    PostDeleteJob
    PostFetchJob
    PostModifyJob
    PostPublishJob
    PostSearchJob
    PREFIX KGAPI/Blogger
    REQUIRED_HEADERS kgapiblogger_HEADERS
)

if (COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(KPimGAPIBlogger PROPERTIES UNITY_BUILD ON)
endif()

generate_export_header(KPimGAPIBlogger BASE_NAME kgapiblogger)


target_include_directories(KPimGAPIBlogger INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KPim/KGAPI>")

target_link_libraries(KPimGAPIBlogger
PUBLIC
    KPim::GAPICore
PRIVATE
    Qt::Network
)

set_target_properties(KPimGAPIBlogger PROPERTIES
    VERSION ${KGAPI_VERSION}
    SOVERSION ${KGAPI_SOVERSION}
    EXPORT_NAME GAPIBlogger
)

install(TARGETS
    KPimGAPIBlogger
    EXPORT KPimGAPITargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
)

install(FILES
    ${kgapiblogger_CamelCase_HEADERS}
    DESTINATION "${KDE_INSTALL_INCLUDEDIR}/KPim/KGAPI/KGAPI/Blogger"
    COMPONENT Devel
)

install(FILES
    ${kgapiblogger_HEADERS}
    "${CMAKE_CURRENT_BINARY_DIR}/kgapiblogger_export.h"
    DESTINATION "${KDE_INSTALL_INCLUDEDIR}/KPim/KGAPI/kgapi/blogger"
    COMPONENT Devel
)

ecm_generate_pri_file(BASE_NAME KGAPIBlogger
    LIB_NAME KPimGAPIBlogger
    DEPS "GAPICore"
    FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR "${KDE_INSTALL_INCLUDEDIR}/KPim/KGAPI"
)

install(FILES
    "${PRI_FILENAME}"
    DESTINATION "${ECM_MKSPECS_INSTALL_DIR}"
)

=== src/calendar/CMakeLists.txt ===
add_library(KPimGAPICalendar)
add_library(KPim::GAPICalendar ALIAS KPimGAPICalendar)


target_sources(KPimGAPICalendar PRIVATE
    calendar.cpp
    calendarcreatejob.cpp
    calendarcreatejob.h
    calendardeletejob.cpp
    calendardeletejob.h
    calendarfetchjob.cpp
    calendarfetchjob.h
    calendar.h
    calendarmodifyjob.cpp
    calendarmodifyjob.h
    calendarservice.cpp
    calendarservice.h
    enums.h
    event.cpp
    eventcreatejob.cpp
    eventcreatejob.h
    eventdeletejob.cpp
    eventdeletejob.h
    eventfetchjob.cpp
    eventfetchjob.h
    event.h
    eventmodifyjob.cpp
    eventmodifyjob.h
    eventmovejob.cpp
    eventmovejob.h
    freebusyqueryjob.cpp
    freebusyqueryjob.h
    reminder.cpp
    reminder.h

    ../debug.cpp
)

ecm_generate_headers(kgapicalendar_CamelCase_HEADERS
    HEADER_NAMES
    Calendar
    CalendarCreateJob
    CalendarDeleteJob
    CalendarFetchJob
    CalendarModifyJob
    Enums
    Event
    EventCreateJob
    EventDeleteJob
    EventFetchJob
    EventModifyJob
    EventMoveJob
    Reminder
    FreeBusyQueryJob
    PREFIX KGAPI/Calendar
    REQUIRED_HEADERS kgapicalendar_HEADERS
)

if (COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(KPimGAPICalendar PROPERTIES UNITY_BUILD ON)
endif()
generate_export_header(KPimGAPICalendar BASE_NAME kgapicalendar)


target_include_directories(KPimGAPICalendar INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KPim/KGAPI>")

target_link_libraries(KPimGAPICalendar
PUBLIC
    KPim::GAPICore
    KF5::CalendarCore
    Qt::Gui
PRIVATE
    Qt::Network
)

set_target_properties(KPimGAPICalendar PROPERTIES
    VERSION ${KGAPI_VERSION}
    SOVERSION ${KGAPI_SOVERSION}
    EXPORT_NAME GAPICalendar
)

install(TARGETS
    KPimGAPICalendar
    EXPORT KPimGAPITargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
)

install(FILES
    ${kgapicalendar_CamelCase_HEADERS}
    DESTINATION "${KDE_INSTALL_INCLUDEDIR}/KPim/KGAPI/KGAPI/Calendar"
    COMPONENT Devel
)

install(FILES
    ${kgapicalendar_HEADERS}
    "${CMAKE_CURRENT_BINARY_DIR}/kgapicalendar_export.h"
    DESTINATION "${KDE_INSTALL_INCLUDEDIR}/KPim/KGAPI/kgapi/calendar"
    COMPONENT Devel
)

ecm_generate_pri_file(BASE_NAME KGAPICalendar
    LIB_NAME KPimGAPICalendar
    DEPS "GAPICore CalendarCore"
    FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR "${KDE_INSTALL_INCLUDEDIR}/KPim/KGAPI"
)

install(FILES
    "${PRI_FILENAME}"
    DESTINATION "${ECM_MKSPECS_INSTALL_DIR}"
)

=== src/drive/CMakeLists.txt ===
add_library(KPimGAPIDrive)
add_library(KPim::GAPIDrive ALIAS KPimGAPIDrive)


target_sources(KPimGAPIDrive PRIVATE
    about.cpp
    aboutfetchjob.cpp
    aboutfetchjob.h
    about.h
    app.cpp
    appfetchjob.cpp
    appfetchjob.h
    app.h
    change.cpp
    changefetchjob.cpp
    changefetchjob.h
    change.h
    childreference.cpp
    childreferencecreatejob.cpp
    childreferencecreatejob.h
    childreferencedeletejob.cpp
    childreferencedeletejob.h
    childreferencefetchjob.cpp
    childreferencefetchjob.h
    childreference.h
    drives.cpp
    drivescreatejob.cpp
    drivescreatejob.h
    drivesdeletejob.cpp
    drivesdeletejob.h
    driveservice.cpp
    driveservice.h
    drivesfetchjob.cpp
    drivesfetchjob.h
    drives.h
    driveshidejob.cpp
    driveshidejob.h
    drivesmodifyjob.cpp
    drivesmodifyjob.h
    drivessearchquery.cpp
    drivessearchquery.h
    fileabstractdatajob.cpp
    fileabstractdatajob.h
    fileabstractmodifyjob.cpp
    fileabstractmodifyjob.h
    fileabstractresumablejob.cpp
    fileabstractresumablejob.h
    fileabstractuploadjob.cpp
    fileabstractuploadjob.h
    filecopyjob.cpp
    filecopyjob.h
    file.cpp
    filecreatejob.cpp
    filecreatejob.h
    filedeletejob.cpp
    filedeletejob.h
    filefetchcontentjob.cpp
    filefetchcontentjob.h
    filefetchjob.cpp
    filefetchjob.h
    file.h
    filemodifyjob.cpp
    filemodifyjob.h
    file_p.h
    fileresumablecreatejob.cpp
    fileresumablecreatejob.h
    fileresumablemodifyjob.cpp
    fileresumablemodifyjob.h
    filesearchquery.cpp
    filesearchquery.h
    filetouchjob.cpp
    filetouchjob.h
    filetrashjob.cpp
    filetrashjob.h
    fileuntrashjob.cpp
    fileuntrashjob.h
    parentreference.cpp
    parentreferencecreatejob.cpp
    parentreferencecreatejob.h
    parentreferencedeletejob.cpp
    parentreferencedeletejob.h
    parentreferencefetchjob.cpp
    parentreferencefetchjob.h
    parentreference.h
    parentreference_p.h
    permission.cpp
    permissioncreatejob.cpp
    permissioncreatejob.h
    permissiondeletejob.cpp
    permissiondeletejob.h
    permissionfetchjob.cpp
    permissionfetchjob.h
    permission.h
    permissionmodifyjob.cpp
    permissionmodifyjob.h
    permission_p.h
    revision.cpp
    revisiondeletejob.cpp
    revisiondeletejob.h
    revisionfetchjob.cpp
    revisionfetchjob.h
    revision.h
    revisionmodifyjob.cpp
    revisionmodifyjob.h
    searchquery.cpp
    searchquery.h
    teamdrive.cpp
    teamdrivecreatejob.cpp
    teamdrivecreatejob.h
    teamdrivedeletejob.cpp
    teamdrivedeletejob.h
    teamdrivefetchjob.cpp
    teamdrivefetchjob.h
    teamdrive.h
    teamdrivemodifyjob.cpp
    teamdrivemodifyjob.h
    teamdrivesearchquery.cpp
    teamdrivesearchquery.h
    user.cpp
    user.h

    ../debug.cpp
)

ecm_generate_headers(kgapidrive_CamelCase_HEADERS
    HEADER_NAMES
    About
    AboutFetchJob
    App
    AppFetchJob
    Change
    ChangeFetchJob
    ChildReference
    ChildReferenceCreateJob
    ChildReferenceDeleteJob
    ChildReferenceFetchJob
    SearchQuery
    File
    FileAbstractDataJob
    FileAbstractModifyJob
    FileAbstractUploadJob
    FileAbstractResumableJob
    FileCopyJob
    FileCreateJob
    FileDeleteJob
    FileFetchContentJob
    FileFetchJob
    FileModifyJob
    FileResumableCreateJob
    FileResumableModifyJob
    FileSearchQuery
    FileTouchJob
    FileTrashJob
    FileUntrashJob
    ParentReference
    ParentReferenceCreateJob
    ParentReferenceDeleteJob
    ParentReferenceFetchJob
    Permission
    PermissionCreateJob
    PermissionDeleteJob
    PermissionFetchJob
    PermissionModifyJob
    Revision
    RevisionDeleteJob
    RevisionFetchJob
    RevisionModifyJob
    Drives
    DrivesCreateJob
    DrivesDeleteJob
    DrivesFetchJob
    DrivesModifyJob
    DrivesHideJob
    DrivesSearchQuery
    Teamdrive
    TeamdriveCreateJob
    TeamdriveDeleteJob
    TeamdriveFetchJob
    TeamdriveModifyJob
    TeamdriveSearchQuery
    User
    PREFIX KGAPI/Drive
    REQUIRED_HEADERS kgapidrive_HEADERS
)
#Disable for the moment
#if (COMPILE_WITH_UNITY_CMAKE_SUPPORT)
#    set_target_properties(KPimGAPIDrive PROPERTIES UNITY_BUILD ON)
#endif()

generate_export_header(KPimGAPIDrive BASE_NAME kgapidrive)

target_include_directories(KPimGAPIDrive
    INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KPim/KGAPI>"
    INTERFACE "$<BUILD_INTERFACE:${CMAKE_SOURCE_DIR}/src>"
)

target_link_libraries(KPimGAPIDrive
PUBLIC
    KPim::GAPICore
    Qt::Gui
PRIVATE
    Qt::Network
)

set_target_properties(KPimGAPIDrive PROPERTIES
    VERSION ${KGAPI_VERSION}
    SOVERSION ${KGAPI_SOVERSION}
    EXPORT_NAME GAPIDrive
)

install(TARGETS
    KPimGAPIDrive
    EXPORT KPimGAPITargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
)

install(FILES
    ${kgapidrive_CamelCase_HEADERS}
    DESTINATION "${KDE_INSTALL_INCLUDEDIR}/KPim/KGAPI/KGAPI/Drive"
    COMPONENT Devel
)

install(FILES
    ${kgapidrive_HEADERS}
    "${CMAKE_CURRENT_BINARY_DIR}/kgapidrive_export.h"
    DESTINATION "${KDE_INSTALL_INCLUDEDIR}/KPim/KGAPI/kgapi/drive"
    COMPONENT Devel
)

ecm_generate_pri_file(BASE_NAME KGAPIDrive
    LIB_NAME KPimGAPIDrive
    DEPS "GAPICore"
    FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR "${KDE_INSTALL_INCLUDEDIR}/KPim/KGAPI"
)

install(FILES
    "${PRI_FILENAME}"
    DESTINATION "${ECM_MKSPECS_INSTALL_DIR}"
)

=== src/latitude/CMakeLists.txt ===
add_library(KPimGAPILatitude)
add_library(KPim::GAPILatitude ALIAS KPimGAPILatitude)

target_sources(KPimGAPILatitude PRIVATE
    latitude.h
    latitudeservice.cpp
    latitudeservice.h
    location.cpp
    locationcreatejob.cpp
    locationcreatejob.h
    locationdeletejob.cpp
    locationdeletejob.h
    locationfetchhistoryjob.cpp
    locationfetchhistoryjob.h
    locationfetchjob.cpp
    locationfetchjob.h
    location.h

    ../debug.cpp
)

ecm_generate_headers(kgapilatitude_CamelCase_HEADERS
    HEADER_NAMES
    Location
    LocationCreateJob
    LocationDeleteJob
    LocationFetchHistoryJob
    LocationFetchJob
    Latitude
    PREFIX KGAPI/Latitude
    REQUIRED_HEADERS kgapilatitude_HEADERS
)

if (COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(KPimGAPILatitude PROPERTIES UNITY_BUILD ON)
endif()

generate_export_header(KPimGAPILatitude BASE_NAME kgapilatitude)


target_include_directories(KPimGAPILatitude INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KPim/KGAPI>")

target_link_libraries(KPimGAPILatitude
PUBLIC
    KPim::GAPICore
    KF5::Contacts
PRIVATE
    Qt::Network
)

set_target_properties(KPimGAPILatitude PROPERTIES
    VERSION ${KGAPI_VERSION}
    SOVERSION ${KGAPI_SOVERSION}
    EXPORT_NAME GAPILatitude
)

install(TARGETS
    KPimGAPILatitude
    EXPORT KPimGAPITargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
)

install(FILES
    ${kgapilatitude_CamelCase_HEADERS}
    DESTINATION "${KDE_INSTALL_INCLUDEDIR}/KPim/KGAPI/KGAPI/Latitude"
    COMPONENT Devel
)

install(FILES
    ${kgapilatitude_HEADERS}
    "${CMAKE_CURRENT_BINARY_DIR}/kgapilatitude_export.h"
    DESTINATION "${KDE_INSTALL_INCLUDEDIR}/KPim/KGAPI/kgapi/latitude"
    COMPONENT Devel
)

ecm_generate_pri_file(BASE_NAME KGAPILatitude
    LIB_NAME KPimGAPILatitude
    DEPS "GAPICore KContacts"
    FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR "${KDE_INSTALL_INCLUDEDIR}/KPim/KGAPI"
)

install(FILES
    "${PRI_FILENAME}"
    DESTINATION "${ECM_MKSPECS_INSTALL_DIR}"
)

=== src/saslplugin/CMakeLists.txt ===
include(CheckIncludeFile)
include(CheckStructHasMember)

if (NOT CMAKE_SYSTEM_NAME MATCHES "FreeBSD")
   add_definitions(-D_POSIX_SOURCE)
endif()

if (WIN32)
    add_definitions(-DWIN32)
elseif (APPLE)
    add_definitions(-Dmacintosh)
endif()

check_include_file(unistd.h HAVE_UNISTD_H)
check_include_file(inttypes.h HAVE_INTTYPES_H)
check_struct_has_member("struct sockaddr" sa_len sys/socket.h HAVE_SOCKADDR_SA_LEN)

configure_file(config.h.in config.h)

add_library(kdexoauth2 SHARED
    xoauth2plugin.c
    xoauth2plugin_init.c
    plugin_common.c
)
target_include_directories(kdexoauth2 PRIVATE ${Sasl2_INCLUDE_DIRS})
set_target_properties(kdexoauth2 PROPERTIES
    C_VISIBILITY_PRESET default
    SOVERSION 3
    VERSION 3.0.0)

install(TARGETS kdexoauth2 DESTINATION ${KDE_INSTALL_LIBDIR}/sasl2)

=== src/staticmaps/CMakeLists.txt ===
add_library(KPimGAPIMaps)
add_library(KPim::GAPIMaps ALIAS KPimGAPIMaps)
target_sources(KPimGAPIMaps PRIVATE
    staticmapmarker.cpp
    staticmapmarker.h
    staticmappath.cpp
    staticmappath.h
    staticmaptilefetchjob.cpp
    staticmaptilefetchjob.h
    staticmapurl.cpp
    staticmapurl.h

    ../debug.cpp
)

ecm_generate_headers(kgapimaps_CamelCase_HEADERS
    HEADER_NAMES
    StaticMapMarker
    StaticMapPath
    StaticMapTileFetchJob
    StaticMapUrl
    PREFIX KGAPI/Maps
    REQUIRED_HEADERS kgapimaps_HEADERS
)

if (COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(KPimGAPIMaps PROPERTIES UNITY_BUILD ON)
endif()

generate_export_header(KPimGAPIMaps BASE_NAME kgapimaps)

target_include_directories(KPimGAPIMaps INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KPim/KGAPI>")

target_link_libraries(KPimGAPIMaps
PUBLIC
    KPim::GAPICore
    KF5::Contacts
    Qt::Gui
PRIVATE
    Qt::Network
)

set_target_properties(KPimGAPIMaps PROPERTIES
    VERSION ${KGAPI_VERSION}
    SOVERSION ${KGAPI_SOVERSION}
    EXPORT_NAME GAPIMaps
)

install(TARGETS
    KPimGAPIMaps
    EXPORT KPimGAPITargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
)

install(FILES
    ${kgapimaps_CamelCase_HEADERS}
    DESTINATION "${KDE_INSTALL_INCLUDEDIR}/KPim/KGAPI/KGAPI/Maps"
    COMPONENT Devel
)

install(FILES
    ${kgapimaps_HEADERS}
    "${CMAKE_CURRENT_BINARY_DIR}/kgapimaps_export.h"
    DESTINATION "${KDE_INSTALL_INCLUDEDIR}/KPim/KGAPI/kgapi/maps"
    COMPONENT Devel
)

ecm_generate_pri_file(BASE_NAME KGAPIMaps
    LIB_NAME KPimGAPIMaps
    DEPS "GAPICore KContacts"
    FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR "${KDE_INSTALL_INCLUDEDIR}/KPim/KGAPI"
)

install(FILES
    "${PRI_FILENAME}"
    DESTINATION "${ECM_MKSPECS_INSTALL_DIR}"
)

=== src/tasks/CMakeLists.txt ===
add_library(KPimGAPITasks)
add_library(KPim::GAPITasks ALIAS KPimGAPITasks)


target_sources(KPimGAPITasks PRIVATE
    task.cpp
    taskcreatejob.cpp
    taskcreatejob.h
    taskdeletejob.cpp
    taskdeletejob.h
    taskfetchjob.cpp
    taskfetchjob.h
    task.h
    tasklist.cpp
    tasklistcreatejob.cpp
    tasklistcreatejob.h
    tasklistdeletejob.cpp
    tasklistdeletejob.h
    tasklistfetchjob.cpp
    tasklistfetchjob.h
    tasklist.h
    tasklistmodifyjob.cpp
    tasklistmodifyjob.h
    taskmodifyjob.cpp
    taskmodifyjob.h
    taskmovejob.cpp
    taskmovejob.h
    tasksservice.cpp
    tasksservice.h

    ../debug.cpp
)

ecm_generate_headers(kgapitasks_CamelCase_HEADERS
    HEADER_NAMES
    Task
    TaskCreateJob
    TaskDeleteJob
    TaskFetchJob
    TaskList
    TaskListCreateJob
    TaskListDeleteJob
    TaskListFetchJob
    TaskListModifyJob
    TaskModifyJob
    TaskMoveJob
    PREFIX KGAPI/Tasks
    REQUIRED_HEADERS kgapitasks_HEADERS
)


if (COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(KPimGAPITasks PROPERTIES UNITY_BUILD ON)
endif()

generate_export_header(KPimGAPITasks BASE_NAME kgapitasks)

target_include_directories(KPimGAPITasks
    INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KPim/KGAPI>"
    INTERFACE "$<BUILD_INTERFACE:${CMAKE_SOURCE_DIR}/src>"
)

target_link_libraries(KPimGAPITasks
PUBLIC
    KPim::GAPICore
    KF5::CalendarCore
PRIVATE
    Qt::Network
)

set_target_properties(KPimGAPITasks PROPERTIES
    VERSION ${KGAPI_VERSION}
    SOVERSION ${KGAPI_SOVERSION}
    EXPORT_NAME GAPITasks
)

install(TARGETS
    KPimGAPITasks
    EXPORT KPimGAPITargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
)

install(FILES
    ${kgapitasks_CamelCase_HEADERS}
    DESTINATION "${KDE_INSTALL_INCLUDEDIR}/KPim/KGAPI/KGAPI/Tasks"
    COMPONENT Devel
)

install(FILES
    ${kgapitasks_HEADERS}
    "${CMAKE_CURRENT_BINARY_DIR}/kgapitasks_export.h"
    DESTINATION "${KDE_INSTALL_INCLUDEDIR}/KPim/KGAPI/kgapi/tasks"
    COMPONENT Devel
)

ecm_generate_pri_file(BASE_NAME KGAPITasks
    LIB_NAME KPimGAPITasks
    DEPS "GAPICore CalendarCore"
    FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR "${KDE_INSTALL_INCLUDEDIR}/KPim/KGAPI"
)

install(FILES
    "${PRI_FILENAME}"
    DESTINATION "${ECM_MKSPECS_INSTALL_DIR}"
)

=== debian/changelog ===
libkgapi (21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:18:20 +0000

libkgapi (21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update debian/watch
  * Update upstream signing key

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:24:54 +0000

libkgapi (21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:32:44 +0000

libkgapi (21.12.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:29:49 +0000

libkgapi (21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:25:06 +0000

libkgapi (21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 23:32:11 +0000

libkgapi (21.08.3-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (21.08.2)

  [ Rik Mills ]
  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:47:27 +0000

=== debian/control ===
Source: libkgapi
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.28.0~),
               libkf5calendarcore-dev (>= 4:19.08.3~),
               libkf5contacts-dev (>= 4:19.08.3~),
               libkf5coreaddons-dev (>= 5.28.0~),
               libkf5kio-dev (>= 5.28.0~),
               libkf5wallet-dev,
               libkf5windowsystem-dev (>= 5.28.0~),
               libqt5webchannel5-dev,
               libqt5webkit5-dev (>= 5.2.0~),
               libsasl2-dev,
               pkg-kde-tools (>= 0.5.0),
               qtbase5-dev (>= 5.6.0~),
               qtpositioning5-dev,
               qttools5-dev (>= 5.6.0~),
               qttools5-dev-tools (>= 5.6.0~),
               qtwebengine5-dev,
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/libkgapi
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkgapi
Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkggapi

Package: libkf5gapi-data
Architecture: any
Depends: libkpimgapi-data, ${misc:Depends}, ${shlibs:Depends}
Section: oldlibs
Priority: optional
Description: Google API library for KDE -- transitional
 LibKGAPI (previously called LibKGoogle) is a C++ library that implements APIs
 for various Google services.
 .
 This is a transitional package which can be safely removed.

Package: libkpimgapi-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libkf5gapi-data (<< 16.12)
Breaks: ${kde-l10n:all}
Replaces: libkf5gapi-data (<< 16.12), ${kde-l10n:all}
Description: Google API library for KDE -- data files
 LibKGAPI (previously called LibKGoogle) is a C++ library that implements APIs
 for various Google services.
 .
 This package contains data files.

Package: libkpimgapi-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5calendarcore-dev (>= 4:19.08.3~),
         libkf5contacts-dev (>= 4:19.08.3~),
         libkf5coreaddons-dev (>= 5.12.0~),
         libkpimgapiblogger5abi1 (= ${binary:Version}),
         libkpimgapicalendar5 (= ${binary:Version}),
         libkpimgapicontacts5 (= ${binary:Version}),
         libkpimgapicore5abi1 (= ${binary:Version}),
         libkpimgapidrive5 (= ${binary:Version}),
         libkpimgapilatitude5 (= ${binary:Version}),
         libkpimgapimaps5 (= ${binary:Version}),
         libkpimgapitasks5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Google API library for KDE -- development files
 LibKGAPI (previously called LibKGoogle) is a C++ library that implements APIs
 for various Google services.
 .
 This package contains development files for building software that uses
 the LibKGAPI library.

Package: libkpimgapiblogger5abi1
X-Debian-ABI: 1
X-CMake-Target: KPimGAPIBlogger
Architecture: any
Multi-Arch: same
Depends: libkpimgapi-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library to integrate with Google Blogger service API
 This package is part of libkgapi.

Package: libkpimgapicalendar5
Architecture: any
Multi-Arch: same
Depends: libkpimgapi-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library to integrate with Google Calendar service API
 This package is part of libkgapi.

Package: libkpimgapicontacts5
Architecture: any
Multi-Arch: same
Depends: libkpimgapi-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library to integrate with Google Contacts service API
 This package is part of libkgapi.

Package: libkpimgapicore5abi1
X-Debian-ABI: 1
X-CMake-Target: KPimGAPICore
Architecture: any
Multi-Arch: same
Depends: libkpimgapi-data (= ${source:Version}),
         libqt5webengine5,
         ${misc:Depends},
         ${shlibs:Depends},
Description: core library to integrate with Google service APIs
 This package is part of libkgapi.

Package: libkpimgapidrive5
Architecture: any
Multi-Arch: same
Depends: libkpimgapi-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library to integrate with Google Drive service API
 This package is part of libkgapi.

Package: libkpimgapilatitude5
Architecture: any
Multi-Arch: same
Depends: libkpimgapi-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library to integrate with Google Latitude service API
 This package is part of libkgapi.

Package: libkpimgapimaps5
Architecture: any
Multi-Arch: same
Depends: libkpimgapi-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library to integrate with Google Maps service API
 This package is part of libkgapi.

Package: libkpimgapitasks5
Architecture: any
Multi-Arch: same
Depends: libkpimgapi-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library to integrate with Google Tasks service API
 This package is part of libkgapi.

Package: libsasl2-modules-kdexoauth2
Architecture: any
Multi-Arch: same
Depends: libkpimgapi-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: kdepim-runtime (<< 4:18.07.70)
Replaces: kdepim-runtime (<< 4:18.07.70)
Description: library to integrate with Cyrus SASL
 This package is part of libkgapi.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:17.03.90-0~

export DEB_BUILD_MAINT_OPTIONS = optimize=-lto

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='libkf5gapi-dbg (<= 5.1.0-2~1.gbp16a3a9~)'

override_dh_auto_test:
	# Disable auto test at build time, fakeroot breaks them
	:

## libkgapi 22.08.1

=== debian/changelog ===
libkgapi (22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:47:31 +0100

libkgapi (22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)
  * Refresh enable_debianabimanager.diff

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:56:43 +0100

libkgapi (22.04.3-0ubuntu2) kinetic; urgency=medium

  * Drop qtwebengine build and runtime depends. No longer used.

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Jul 2022 13:06:07 +0100

libkgapi (22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:34:41 +0100

libkgapi (22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 08:09:20 +0100

libkgapi (22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 21:08:29 +0100

libkgapi (22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:55:48 +0100

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,6 @@
                qtpositioning5-dev,
                qttools5-dev (>= 5.6.0~),
                qttools5-dev-tools (>= 5.6.0~),
-               qtwebengine5-dev,
 Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/libkgapi
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkgapi
@@ -111,7 +110,6 @@
 Architecture: any
 Multi-Arch: same
 Depends: libkpimgapi-data (= ${source:Version}),
-         libqt5webengine5,
          ${misc:Depends},
          ${shlibs:Depends},
 Description: core library to integrate with Google service APIs

## libkgapi 22.12.0

=== debian/changelog ===
libkgapi (22.12.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 04 Jan 2023 21:36:26 +0100

libkgapi (22.12.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.12.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Thu, 22 Dec 2022 21:02:39 +0100

libkgapi (22.08.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.08.3).

 -- Patrick Franz <deltaone@debian.org>  Fri, 04 Nov 2022 21:53:01 +0100

libkgapi (22.08.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.08.2).

 -- Patrick Franz <deltaone@debian.org>  Sat, 29 Oct 2022 00:10:16 +0200

libkgapi (22.08.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 10 Sep 2022 13:07:37 +0200

libkgapi (22.08.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * Update upstream signing-key.
  * Bump Standards-Version to 4.6.1 (No changes needed).
  * New upstream release (22.08.0).
  * Update build-deps and deps with the info from cmake.
  * Update patches.

 -- Patrick Franz <deltaone@debian.org>  Wed, 31 Aug 2022 01:44:24 +0200

libkgapi (22.04.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.04.3).

 -- Patrick Franz <deltaone@debian.org>  Thu, 14 Jul 2022 21:54:24 +0200

libkgapi (22.04.2-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.
  * Remove runtime dependency on qtwebengine for libkpimgapicore5abi1.

 -- Patrick Franz <deltaone@debian.org>  Mon, 27 Jun 2022 22:15:14 +0200

libkgapi (22.04.2-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Remove unused qtwebengine B-D.

 -- Patrick Franz <deltaone@debian.org>  Mon, 27 Jun 2022 01:04:04 +0200

libkgapi (22.04.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.04.2).

 -- Patrick Franz <deltaone@debian.org>  Sun, 19 Jun 2022 02:45:54 +0200

libkgapi (22.04.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.04.1).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Wed, 25 May 2022 01:56:30 +0200

libkgapi (21.12.3-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Fri, 01 Apr 2022 22:08:53 +0200

libkgapi (21.12.3-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (21.12.3).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.

 -- Patrick Franz <deltaone@debian.org>  Thu, 24 Mar 2022 22:10:58 +0100

libkgapi (21.08.1-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.1).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Norbert Preining <norbert@preining.info>  Sat, 11 Sep 2021 07:27:20 +0900

libkgapi (21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 16:38:00 +0900

libkgapi (21.04.3-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.3).

 -- Norbert Preining <norbert@preining.info>  Fri, 09 Jul 2021 10:41:51 +0900

libkgapi (21.04.1-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.1).

 -- Norbert Preining <norbert@preining.info>  Fri, 14 May 2021 06:16:04 +0900

libkgapi (21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Borrow minimal upstream signing key from k3b.
  * Drop Kubuntu from maintainer name.
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!
  * Added myself to the uploaders.

 -- Norbert Preining <norbert@preining.info>  Thu, 13 May 2021 09:47:12 +0900

=== debian/control ===
Source: libkgapi
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>,
           Sandro Knauß <hefee@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.99.0~),
               libkf5calendarcore-dev (>= 5:5.99.0~),
               libkf5contacts-dev (>= 5:5.99.0~),
               libkf5wallet-dev (>= 5.99.0~),
               libsasl2-dev,
               libxml2-utils,
               pkg-kde-tools (>= 0.5.0),
               qtbase5-dev (>= 5.15.2~),
               qttools5-dev,
               qttools5-dev-tools,
               xauth,
               xvfb,
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/pim/libkgapi
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libkgapi.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libkgapi
Rules-Requires-Root: no

Package: libkpimgapi-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Google API library for KDE -- data files
 LibKGAPI (previously called LibKGoogle) is a C++ library that implements APIs
 for various Google services.
 .
 This package contains data files.

Package: libkpimgapi-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5calendarcore-dev (>= 5:5.99.0~),
         libkf5contacts-dev (>= 5:5.99.0~),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
         ${shlibs:Depends},
         ${so:Depends},
Description: Google API library for KDE -- development files
 LibKGAPI (previously called LibKGoogle) is a C++ library that implements APIs
 for various Google services.
 .
 This package contains development files for building software that uses
 the LibKGAPI library.

Package: libkpimgapiblogger5abi1
X-Debian-ABI: 1
X-CMake-Target: KPimGAPIBlogger
Architecture: any
Multi-Arch: same
Depends: libkpimgapi-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library to integrate with Google Blogger service API
 This package is part of libkgapi.
Provides: ${ABI:VirtualPackage}

Package: libkpimgapicalendar5
Architecture: any
Multi-Arch: same
Depends: libkpimgapi-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library to integrate with Google Calendar service API
 This package is part of libkgapi.
Provides: ${ABI:VirtualPackage}

Package: libkpimgapicontacts5
Architecture: any
Multi-Arch: same
Depends: libkpimgapi-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library to integrate with Google Contacts service API
 This package is part of libkgapi.
Provides: ${ABI:VirtualPackage}

Package: libkpimgapicore5abi1
X-Debian-ABI: 1
X-CMake-Target: KPimGAPICore
Architecture: any
Multi-Arch: same
Depends: libkpimgapi-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: core library to integrate with Google service APIs
 This package is part of libkgapi.
Provides: ${ABI:VirtualPackage}

Package: libkpimgapidrive5
Architecture: any
Multi-Arch: same
Depends: libkpimgapi-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library to integrate with Google Drive service API
 This package is part of libkgapi.
Provides: ${ABI:VirtualPackage}

Package: libkpimgapilatitude5
Architecture: any
Multi-Arch: same
Depends: libkpimgapi-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library to integrate with Google Latitude service API
 This package is part of libkgapi.
Provides: ${ABI:VirtualPackage}

Package: libkpimgapimaps5
Architecture: any
Multi-Arch: same
Depends: libkpimgapi-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library to integrate with Google Maps service API
 This package is part of libkgapi.
Provides: ${ABI:VirtualPackage}

Package: libkpimgapitasks5
Architecture: any
Multi-Arch: same
Depends: libkpimgapi-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library to integrate with Google Tasks service API
 This package is part of libkgapi.
Provides: ${ABI:VirtualPackage}

Package: libsasl2-modules-kdexoauth2
Architecture: any
Multi-Arch: same
Depends: libkpimgapi-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library to integrate with Cyrus SASL
 This package is part of libkgapi.
Provides: ${ABI:VirtualPackage}

## libkgapi 22.12.3

=== examples/files/CMakeLists.txt ===
add_executable(files-example)

target_sources(files-example PRIVATE
    main.cpp
    mainwindow.cpp
    mainwindow.ui
)

target_link_libraries(files-example
        Qt::Widgets
        Qt::Core
        KPimGAPICore
        KPimGAPIDrive
)

=== debian/changelog ===
libkgapi (22.12.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.
  * Remove inactive uploaders, thanks for your work.

 -- Patrick Franz <deltaone@debian.org>  Wed, 01 Mar 2023 21:31:23 +0100

libkgapi (22.12.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.12.2).

 -- Patrick Franz <deltaone@debian.org>  Sun, 05 Feb 2023 00:25:04 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Section: libs
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Norbert Preining <norbert@preining.info>,
-           Sandro Knauß <hefee@debian.org>,
+Uploaders: Sandro Knauß <hefee@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
@@ -28,7 +27,7 @@
 Package: libkpimgapi-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
 Description: Google API library for KDE -- data files
  LibKGAPI (previously called LibKGoogle) is a C++ library that implements APIs
  for various Google services.
@@ -62,7 +61,7 @@
          ${shlibs:Depends},
 Description: library to integrate with Google Blogger service API
  This package is part of libkgapi.
-Provides: ${ABI:VirtualPackage}
+Provides: ${ABI:VirtualPackage},
 
 Package: libkpimgapicalendar5
 Architecture: any
@@ -72,7 +71,7 @@
          ${shlibs:Depends},
 Description: library to integrate with Google Calendar service API
  This package is part of libkgapi.
-Provides: ${ABI:VirtualPackage}
+Provides: ${ABI:VirtualPackage},
 
 Package: libkpimgapicontacts5
 Architecture: any
@@ -82,7 +81,7 @@
          ${shlibs:Depends},
 Description: library to integrate with Google Contacts service API
  This package is part of libkgapi.
-Provides: ${ABI:VirtualPackage}
+Provides: ${ABI:VirtualPackage},
 
 Package: libkpimgapicore5abi1
 X-Debian-ABI: 1
@@ -94,7 +93,7 @@
          ${shlibs:Depends},
 Description: core library to integrate with Google service APIs
  This package is part of libkgapi.
-Provides: ${ABI:VirtualPackage}
+Provides: ${ABI:VirtualPackage},
 
 Package: libkpimgapidrive5
 Architecture: any
@@ -104,7 +103,7 @@
          ${shlibs:Depends},
 Description: library to integrate with Google Drive service API
  This package is part of libkgapi.
-Provides: ${ABI:VirtualPackage}
+Provides: ${ABI:VirtualPackage},
 
 Package: libkpimgapilatitude5
 Architecture: any
@@ -114,7 +113,7 @@
          ${shlibs:Depends},
 Description: library to integrate with Google Latitude service API
  This package is part of libkgapi.
-Provides: ${ABI:VirtualPackage}
+Provides: ${ABI:VirtualPackage},
 
 Package: libkpimgapimaps5
 Architecture: any
@@ -124,7 +123,7 @@
          ${shlibs:Depends},
 Description: library to integrate with Google Maps service API
  This package is part of libkgapi.
-Provides: ${ABI:VirtualPackage}
+Provides: ${ABI:VirtualPackage},
 
 Package: libkpimgapitasks5
 Architecture: any
@@ -134,7 +133,7 @@
          ${shlibs:Depends},
 Description: library to integrate with Google Tasks service API
  This package is part of libkgapi.
-Provides: ${ABI:VirtualPackage}
+Provides: ${ABI:VirtualPackage},
 
 Package: libsasl2-modules-kdexoauth2
 Architecture: any
@@ -144,4 +143,4 @@
          ${shlibs:Depends},
 Description: library to integrate with Cyrus SASL
  This package is part of libkgapi.
-Provides: ${ABI:VirtualPackage}
+Provides: ${ABI:VirtualPackage},

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all reproducible=-fixfilepath

include /usr/share/dpkg/pkg-info.mk

libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/3/library-packages.mk

AbiVirtualPackageVersion = $(call dpkg_late_eval,AbiVirtualPackageVersion,echo '${DEB_VERSION_UPSTREAM}' | sed -e 's/\.[0-9]\+$$//')
pkgs_lib = $(filter-out %-dev %-dbg %-bin %-data,$(filter lib%,$(shell dh_listpackages)))

%:
	dh $@ --with kf5,pkgkde_symbolshelper,sodeps --buildsystem kf5 --without build_stamp

override_dh_makeshlibs:
	for pkg in $(pkgs_lib); do \
		name=$$( echo "$${pkg}" | sed -e 's/abi[0-9]\+\s*//'); \
		echo "ABI:VirtualPackage=$${name}-${AbiVirtualPackageVersion}" >> debian/$${pkg}.substvars; \
		dh_makeshlibs -p$${pkg} -V "$${pkg} (>= $(DEB_VERSION_EPOCH_UPSTREAM)), $${name}-${AbiVirtualPackageVersion}"; \
	done

override_dh_auto_test:
	- xvfb-run -- dh_auto_test

override_dh_gencontrol-arch: libpkgs_gen_strict_local_shlibs
	dh_gencontrol -a

## libkgapi 23.08.0

=== debian/changelog ===
libkgapi (23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 13:00:54 +0100

libkgapi (23.07.90-0ubuntu1) mantic; urgency=medium

  [ Rik Mills ]
  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

  [ José Manuel Santamaría Lema ]
  * Update installed files

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:40:20 +0100

libkgapi (23.04.3-0ubuntu3) mantic; urgency=medium

  * Add libssl-dev to build depends.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 03 Aug 2023 20:31:43 +0100

libkgapi (23.04.3-0ubuntu2) mantic; urgency=medium

  * Update transitional data package depends, so as not to depend on a
    NBS package.

 -- Rik Mills <rikmills@kde.org>  Sun, 09 Jul 2023 13:48:46 +0100

libkgapi (23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:56:28 +0100

libkgapi (23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * Massive renaming of libraries (libkpim -> libkpim5; contacts -> people):
    - libkpimgapiblogger5abi1 -> libkpim5gapiblogger5
    - libkpimgapicalendar5 -> libkpim5gapicalendar5
    - libkpimgapicore5abi1 -> libkpim5gapicore5
    - libkpimgapidrive5 -> libkpim5gapidrive5
    - libkpimgapilatitude5 -> libkpim5gapilatitude5
    - libkpimgapimaps5 -> libkpim5gapimaps5
    - libkpimgapicontacts5 -> libkpim5gapipeople5
    - libkpimgapitasks5 -> libkpim5gapitasks5
  * Drop patch to enable the debian ABI manager
  * Update installed files
  * Sync debian/rules with debian, provide virtual ABI packages
  * Rename data package: libkpimgapi-data -> libkpim5gapi-data
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Jun 2023 13:00:59 +0100

libkgapi (22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:45:09 +0000

libkgapi (22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:28:16 -0600

libkgapi (22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Mon, 09 Jan 2023 17:27:26 +0000

libkgapi (22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:16:58 +0000

libkgapi (22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:13:09 +0000

libkgapi (22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)

 -- Rik Mills <rikmills@kde.org>  Thu, 17 Nov 2022 10:40:50 +0000

libkgapi (22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:15:57 +0000

## libkgapi 23.08.1

=== debian/changelog ===
libkgapi (23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 12:05:52 +0100

## libkgapi 23.08.4

=== debian/changelog ===
libkgapi (23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:22:04 +0000

libkgapi (23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:42:32 +0000

libkgapi (23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:38:29 +0100
